Qt 5.11 | Qt Core | C++ Classes | Stream

Qt 5.11.3 Reference Documentation

# Stream Class

(QDebug::Stream)

qmake: | QT += core

- List of all members, including inherited members

## Public Types

enum | FormatFlag { NoQuotes }
enum | anonymous { DefaultVerbosity, VerbosityShift, VerbosityMask }

## Public Functions

| Stream(QIODevice *device)
| Stream(QString *string)
| Stream(QtMsgType t)
void | setFlag(Stream::FormatFlag flag)
void | setVerbosity(int v)
bool | testFlag(Stream::FormatFlag flag) const
void | unsetFlag(Stream::FormatFlag flag)
int | verbosity() const

## Member Type Documentation

### enum Stream::FormatFlag

### enum Stream::anonymous

## Member Function Documentation

### Stream::Stream(QIODevice *device)

Default constructs an instance of Stream.

### Stream::Stream(QString *string)

Default constructs an instance of Stream.

### Stream::Stream(QtMsgType t)

Default constructs an instance of Stream.

### void Stream::setFlag(Stream::FormatFlag flag)

### void Stream::setVerbosity(int v)

See also verbosity().

### bool Stream::testFlag(Stream::FormatFlag flag) const

### void Stream::unsetFlag(Stream::FormatFlag flag)

### int Stream::verbosity() const

See also setVerbosity().